@echo off



if not "%ECHO%" == ""  echo %ECHO%
if "%OS%" == "Windows_NT"  setlocal

set MAIN_CLASS=cdac.medinfo.sdk.hl7282.tool.client.HL7Client
set MAIN_JAR=hl7clienttool.jar


rem Read all command line arguments

set ARGS=
:loop
if [%1] == [] goto end
        set ARGS=%ARGS% %1
        shift
        goto loop
:end



if not "%JAVA_HOME%" == "" goto HAVE_JAVA_HOME

set JAVA=java

goto SKIP_SET_JAVA_HOME

:HAVE_JAVA_HOME

set JAVA=%JAVA_HOME%\bin\java

:SKIP_SET_JAVA_HOME


set CP=%CP%;%MAIN_JAR%
set CP=%CP%;./../lib/applicationmanagement282.jar;
set CP=%CP%;./../lib/hl7base282.jar;
set CP=%CP%;./../lib/hl7net282.jar;
set CP=%CP%;./../lib/clinicallaboratoryautomation282.jar;
set CP=%CP%;./../lib/en_US.jar;
set CP=%CP%;./../lib/financialmanagement282.jar;
set CP=%CP%;./../lib/masterfiles282.jar;
set CP=%CP%;./../lib/medicalrecords282.jar;
set CP=%CP%;./../lib/observationreporting282.jar;
set CP=%CP%;./../lib/orderentry282.jar;
set CP=%CP%;./../lib/patientadministration282.jar;
set CP=%CP%;./../lib/patientcare282.jar;
set CP=%CP%;./../lib/patientreferral282.jar;
set CP=%CP%;./../lib/personnelmanagement282.jar;
set CP=%CP%;./../lib/query282.jar;
set CP=%CP%;./../lib/scheduling282.jar;
set CP=%CP%;./../lib/auxiliaryProtocol282.jar;
set CP=%CP%;./../lib/commons-codec-1.3.jar;
set CP=%CP%;./../lib/commons-collections-3.2.jar;


"%JAVA%" %JAVA_OPTS% -cp "%CP%" %MAIN_CLASS% %ARGS%

